initial version
[vlendec/samba-autobuild/.git] / ctdb / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22   setopt NO_GLOB_SUBST
23 else
24   case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
25 fi
26 BIN_SH=xpg4; export BIN_SH # for Tru64
27 DUALCASE=1; export DUALCASE # for MKS sh
28
29
30 # PATH needs CR
31 # Avoid depending upon Character Ranges.
32 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
33 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
34 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
35 as_cr_digits='0123456789'
36 as_cr_alnum=$as_cr_Letters$as_cr_digits
37
38 # The user is always right.
39 if test "${PATH_SEPARATOR+set}" != set; then
40   echo "#! /bin/sh" >conf$$.sh
41   echo  "exit 0"   >>conf$$.sh
42   chmod +x conf$$.sh
43   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
44     PATH_SEPARATOR=';'
45   else
46     PATH_SEPARATOR=:
47   fi
48   rm -f conf$$.sh
49 fi
50
51 # Support unset when possible.
52 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
53   as_unset=unset
54 else
55   as_unset=false
56 fi
57
58
59 # IFS
60 # We need space, tab and new line, in precisely that order.  Quoting is
61 # there to prevent editors from complaining about space-tab.
62 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
63 # splitting by setting IFS to empty value.)
64 as_nl='
65 '
66 IFS=" ""        $as_nl"
67
68 # Find who we are.  Look in the path if we contain no directory separator.
69 case $0 in
70   *[\\/]* ) as_myself=$0 ;;
71   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
72 for as_dir in $PATH
73 do
74   IFS=$as_save_IFS
75   test -z "$as_dir" && as_dir=.
76   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
77 done
78 IFS=$as_save_IFS
79
80      ;;
81 esac
82 # We did not find ourselves, most probably we were run as `sh COMMAND'
83 # in which case we are not to be found in the path.
84 if test "x$as_myself" = x; then
85   as_myself=$0
86 fi
87 if test ! -f "$as_myself"; then
88   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
89   { (exit 1); exit 1; }
90 fi
91
92 # Work around bugs in pre-3.0 UWIN ksh.
93 for as_var in ENV MAIL MAILPATH
94 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
95 done
96 PS1='$ '
97 PS2='> '
98 PS4='+ '
99
100 # NLS nuisances.
101 for as_var in \
102   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
103   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
104   LC_TELEPHONE LC_TIME
105 do
106   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
107     eval $as_var=C; export $as_var
108   else
109     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
110   fi
111 done
112
113 # Required to use basename.
114 if expr a : '\(a\)' >/dev/null 2>&1 &&
115    test "X`expr 00001 : '.*\(...\)'`" = X001; then
116   as_expr=expr
117 else
118   as_expr=false
119 fi
120
121 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
122   as_basename=basename
123 else
124   as_basename=false
125 fi
126
127
128 # Name of the executable.
129 as_me=`$as_basename -- "$0" ||
130 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
131          X"$0" : 'X\(//\)$' \| \
132          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
133 echo X/"$0" |
134     sed '/^.*\/\([^/][^/]*\)\/*$/{
135             s//\1/
136             q
137           }
138           /^X\/\(\/\/\)$/{
139             s//\1/
140             q
141           }
142           /^X\/\(\/\).*/{
143             s//\1/
144             q
145           }
146           s/.*/./; q'`
147
148 # CDPATH.
149 $as_unset CDPATH
150
151
152
153   as_lineno_1=$LINENO
154   as_lineno_2=$LINENO
155   test "x$as_lineno_1" != "x$as_lineno_2" &&
156   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
157
158   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
159   # uniformly replaced by the line number.  The first 'sed' inserts a
160   # line-number line after each line using $LINENO; the second 'sed'
161   # does the real work.  The second script uses 'N' to pair each
162   # line-number line with the line containing $LINENO, and appends
163   # trailing '-' during substitution so that $LINENO is not a special
164   # case at line end.
165   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
166   # scripts with optimization help from Paolo Bonzini.  Blame Lee
167   # E. McMahon (1931-1989) for sed's syntax.  :-)
168   sed -n '
169     p
170     /[$]LINENO/=
171   ' <$as_myself |
172     sed '
173       s/[$]LINENO.*/&-/
174       t lineno
175       b
176       :lineno
177       N
178       :loop
179       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
180       t loop
181       s/-\n.*//
182     ' >$as_me.lineno &&
183   chmod +x "$as_me.lineno" ||
184     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
185    { (exit 1); exit 1; }; }
186
187   # Don't try to exec as it changes $[0], causing all sort of problems
188   # (the dirname of $[0] is not the place where we might find the
189   # original and so on.  Autoconf is especially sensitive to this).
190   . "./$as_me.lineno"
191   # Exit status is that of the last command.
192   exit
193 }
194
195
196 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
197   as_dirname=dirname
198 else
199   as_dirname=false
200 fi
201
202 ECHO_C= ECHO_N= ECHO_T=
203 case `echo -n x` in
204 -n*)
205   case `echo 'x\c'` in
206   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
207   *)   ECHO_C='\c';;
208   esac;;
209 *)
210   ECHO_N='-n';;
211 esac
212
213 if expr a : '\(a\)' >/dev/null 2>&1 &&
214    test "X`expr 00001 : '.*\(...\)'`" = X001; then
215   as_expr=expr
216 else
217   as_expr=false
218 fi
219
220 rm -f conf$$ conf$$.exe conf$$.file
221 if test -d conf$$.dir; then
222   rm -f conf$$.dir/conf$$.file
223 else
224   rm -f conf$$.dir
225   mkdir conf$$.dir
226 fi
227 echo >conf$$.file
228 if ln -s conf$$.file conf$$ 2>/dev/null; then
229   as_ln_s='ln -s'
230   # ... but there are two gotchas:
231   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
232   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
233   # In both cases, we have to default to `cp -p'.
234   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
235     as_ln_s='cp -p'
236 elif ln conf$$.file conf$$ 2>/dev/null; then
237   as_ln_s=ln
238 else
239   as_ln_s='cp -p'
240 fi
241 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
242 rmdir conf$$.dir 2>/dev/null
243
244 if mkdir -p . 2>/dev/null; then
245   as_mkdir_p=:
246 else
247   test -d ./-p && rmdir ./-p
248   as_mkdir_p=false
249 fi
250
251 # Find out whether ``test -x'' works.  Don't use a zero-byte file, as
252 # systems may use methods other than mode bits to determine executability.
253 cat >conf$$.file <<_ASEOF
254 #! /bin/sh
255 exit 0
256 _ASEOF
257 chmod +x conf$$.file
258 if test -x conf$$.file >/dev/null 2>&1; then
259   as_executable_p="test -x"
260 else
261   as_executable_p=:
262 fi
263 rm -f conf$$.file
264
265 # Sed expression to map a string onto a valid CPP name.
266 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
267
268 # Sed expression to map a string onto a valid variable name.
269 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
270
271
272 exec 6>&1
273
274 # Save the log message, to keep $[0] and so on meaningful, and to
275 # report actual input values of CONFIG_FILES etc. instead of their
276 # values after options handling.
277 ac_log="
278 This file was extended by $as_me, which was
279 generated by GNU Autoconf 2.60a.  Invocation command line was
280
281   CONFIG_FILES    = $CONFIG_FILES
282   CONFIG_HEADERS  = $CONFIG_HEADERS
283   CONFIG_LINKS    = $CONFIG_LINKS
284   CONFIG_COMMANDS = $CONFIG_COMMANDS
285   $ $0 $@
286
287 on `(hostname || uname -n) 2>/dev/null | sed 1q`
288 "
289
290 # Files that config.status was made for.
291 config_files=" Makefile"
292 config_headers=" config.h"
293
294 ac_cs_usage="\
295 \`$as_me' instantiates files from templates according to the
296 current configuration.
297
298 Usage: $0 [OPTIONS] [FILE]...
299
300   -h, --help       print this help, then exit
301   -V, --version    print version number and configuration settings, then exit
302   -q, --quiet      do not print progress messages
303   -d, --debug      don't remove temporary files
304       --recheck    update $as_me by reconfiguring in the same conditions
305   --file=FILE[:TEMPLATE]
306                    instantiate the configuration file FILE
307   --header=FILE[:TEMPLATE]
308                    instantiate the configuration header FILE
309
310 Configuration files:
311 $config_files
312
313 Configuration headers:
314 $config_headers
315
316 Report bugs to <bug-autoconf@gnu.org>."
317
318 ac_cs_version="\
319 config.status
320 configured by ./configure, generated by GNU Autoconf 2.60a,
321   with options \"'-C' 'CFLAGS=-g'\"
322
323 Copyright (C) 2006 Free Software Foundation, Inc.
324 This config.status script is free software; the Free Software Foundation
325 gives unlimited permission to copy, distribute and modify it."
326
327 ac_pwd='/home/tridge/ctdb'
328 srcdir='.'
329 INSTALL='/usr/bin/install -c'
330 # If no file are specified by the user, then we need to provide default
331 # value.  By we need to know if files were specified by the user.
332 ac_need_defaults=:
333 while test $# != 0
334 do
335   case $1 in
336   --*=*)
337     ac_option=`expr "X$1" : 'X\([^=]*\)='`
338     ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
339     ac_shift=:
340     ;;
341   *)
342     ac_option=$1
343     ac_optarg=$2
344     ac_shift=shift
345     ;;
346   esac
347
348   case $ac_option in
349   # Handling of the options.
350   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
351     ac_cs_recheck=: ;;
352   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
353     echo "$ac_cs_version"; exit ;;
354   --debug | --debu | --deb | --de | --d | -d )
355     debug=: ;;
356   --file | --fil | --fi | --f )
357     $ac_shift
358     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
359     ac_need_defaults=false;;
360   --header | --heade | --head | --hea )
361     $ac_shift
362     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
363     ac_need_defaults=false;;
364   --he | --h)
365     # Conflict between --help and --header
366     { echo "$as_me: error: ambiguous option: $1
367 Try \`$0 --help' for more information." >&2
368    { (exit 1); exit 1; }; };;
369   --help | --hel | -h )
370     echo "$ac_cs_usage"; exit ;;
371   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
372   | -silent | --silent | --silen | --sile | --sil | --si | --s)
373     ac_cs_silent=: ;;
374
375   # This is an error.
376   -*) { echo "$as_me: error: unrecognized option: $1
377 Try \`$0 --help' for more information." >&2
378    { (exit 1); exit 1; }; } ;;
379
380   *) ac_config_targets="$ac_config_targets $1"
381      ac_need_defaults=false ;;
382
383   esac
384   shift
385 done
386
387 ac_configure_extra_args=
388
389 if $ac_cs_silent; then
390   exec 6>/dev/null
391   ac_configure_extra_args="$ac_configure_extra_args --silent"
392 fi
393
394 if $ac_cs_recheck; then
395   echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '-C' 'CFLAGS=-g' $ac_configure_extra_args " --no-create --no-recursion" >&6
396   CONFIG_SHELL=/bin/sh
397   export CONFIG_SHELL
398   exec /bin/sh "./configure" '-C' 'CFLAGS=-g' $ac_configure_extra_args --no-create --no-recursion
399 fi
400
401 exec 5>>config.log
402 {
403   echo
404   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
405 ## Running $as_me. ##
406 _ASBOX
407   echo "$ac_log"
408 } >&5
409
410
411 # Handling of arguments.
412 for ac_config_target in $ac_config_targets
413 do
414   case $ac_config_target in
415     "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
416     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
417
418   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
419 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
420    { (exit 1); exit 1; }; };;
421   esac
422 done
423
424
425 # If the user did not use the arguments to specify the items to instantiate,
426 # then the envvar interface is used.  Set only those that are not.
427 # We use the long form for the default assignment because of an extremely
428 # bizarre bug on SunOS 4.1.3.
429 if $ac_need_defaults; then
430   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
431   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
432 fi
433
434 # Have a temporary directory for convenience.  Make it in the build tree
435 # simply because there is no reason against having it here, and in addition,
436 # creating and moving files from /tmp can sometimes cause problems.
437 # Hook for its removal unless debugging.
438 # Note that there is a small window in which the directory will not be cleaned:
439 # after its creation but before its name has been assigned to `$tmp'.
440 $debug ||
441 {
442   tmp=
443   trap 'exit_status=$?
444   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
445 ' 0
446   trap '{ (exit 1); exit 1; }' 1 2 13 15
447 }
448 # Create a (secure) tmp directory for tmp files.
449
450 {
451   tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
452   test -n "$tmp" && test -d "$tmp"
453 }  ||
454 {
455   tmp=./conf$$-$RANDOM
456   (umask 077 && mkdir "$tmp")
457 } ||
458 {
459    echo "$me: cannot create a temporary directory in ." >&2
460    { (exit 1); exit 1; }
461 }
462
463 #
464 # Set up the sed scripts for CONFIG_FILES section.
465 #
466
467 # No need to generate the scripts if there are no CONFIG_FILES.
468 # This happens for instance when ./config.status config.h
469 if test -n "$CONFIG_FILES"; then
470
471 cat >"$tmp/subs-1.sed" <<\CEOF
472 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
473 s,@SHELL@,|#_!!_#|/bin/sh,g
474 s,@PATH_SEPARATOR@,|#_!!_#|:,g
475 s,@PACKAGE_NAME@,|#_!!_#|,g
476 s,@PACKAGE_TARNAME@,|#_!!_#|,g
477 s,@PACKAGE_VERSION@,|#_!!_#|,g
478 s,@PACKAGE_STRING@,|#_!!_#|,g
479 s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
480 s,@exec_prefix@,|#_!!_#|${prefix},g
481 s,@prefix@,|#_!!_#|/usr/local,g
482 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
483 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
484 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
485 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
486 s,@datarootdir@,|#_!!_#|${prefix}/share,g
487 s,@datadir@,|#_!!_#|${datarootdir},g
488 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
489 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
490 s,@localstatedir@,|#_!!_#|${prefix}/var,g
491 s,@includedir@,|#_!!_#|${prefix}/include,g
492 s,@oldincludedir@,|#_!!_#|/usr/include,g
493 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
494 s,@infodir@,|#_!!_#|${datarootdir}/info,g
495 s,@htmldir@,|#_!!_#|${docdir},g
496 s,@dvidir@,|#_!!_#|${docdir},g
497 s,@pdfdir@,|#_!!_#|${docdir},g
498 s,@psdir@,|#_!!_#|${docdir},g
499 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
500 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
501 s,@mandir@,|#_!!_#|${datarootdir}/man,g
502 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
503 s,@ECHO_C@,|#_!!_#|,g
504 s,@ECHO_N@,|#_!!_#|-n,g
505 s,@ECHO_T@,|#_!!_#|,g
506 s,@LIBS@,|#_!!_#|,g
507 s,@build_alias@,|#_!!_#|,g
508 s,@host_alias@,|#_!!_#|,g
509 s,@target_alias@,|#_!!_#|,g
510 s,@libreplacedir@,|#_!!_#|./../libreplace,g
511 s,@LIBREPLACEOBJ@,|#_!!_#|replace.o snprintf.o,g
512 s,@build@,|#_!!_#|i686-pc-linux-gnu,g
513 s,@build_cpu@,|#_!!_#|i686,g
514 s,@build_vendor@,|#_!!_#|pc,g
515 s,@build_os@,|#_!!_#|linux-gnu,g
516 s,@host@,|#_!!_#|i686-pc-linux-gnu,g
517 s,@host_cpu@,|#_!!_#|i686,g
518 s,@host_vendor@,|#_!!_#|pc,g
519 s,@host_os@,|#_!!_#|linux-gnu,g
520 s,@target@,|#_!!_#|i686-pc-linux-gnu,g
521 s,@target_cpu@,|#_!!_#|i686,g
522 s,@target_vendor@,|#_!!_#|pc,g
523 s,@target_os@,|#_!!_#|linux-gnu,g
524 s,@CC@,|#_!!_#|gcc,g
525 s,@CFLAGS@,|#_!!_#|-g -Wall -Wshadow -Wstrict-prototypes -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings,g
526 s,@LDFLAGS@,|#_!!_#|,g
527 s,@CPPFLAGS@,|#_!!_#|,g
528 s,@ac_ct_CC@,|#_!!_#|gcc,g
529 s,@EXEEXT@,|#_!!_#|,g
530 s,@OBJEXT@,|#_!!_#|o,g
531 s,@CPP@,|#_!!_#|gcc -E,g
532 s,@GREP@,|#_!!_#|/bin/grep,g
533 s,@EGREP@,|#_!!_#|/bin/grep -E,g
534 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
535 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
536 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
537 s,@libreplace_cv_immediate_structures@,|#_!!_#|yes,g
538 s,@LIBOBJS@,|#_!!_#|,g
539 s,@precompiled_headers@,|#_!!_#|yes,g
540 s,@LIBDL@,|#_!!_#|-ldl ,g
541 s,@tallocdir@,|#_!!_#|./../talloc,g
542 s,@TALLOCOBJ@,|#_!!_#|talloc.o,g
543 s,@tdbdir@,|#_!!_#|./../tdb,g
544 s,@TDBOBJ@,|#_!!_#|common/tdb.o common/dump.o common/transaction.o common/error.o common/traverse.o common/freelist.o common/io.o common/lock.o common/open.o,g
545 s,@PYTHON@,|#_!!_#|,g
546 s,@EXTRA_OBJ@,|#_!!_#|,g
547 s,@LTLIBOBJS@,|#_!!_#|,g
548 :end
549 s/|#_!!_#|//g
550 CEOF
551 fi # test -n "$CONFIG_FILES"
552
553
554 for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS
555 do
556   case $ac_tag in
557   :[FHLC]) ac_mode=$ac_tag; continue;;
558   esac
559   case $ac_mode$ac_tag in
560   :[FHL]*:*);;
561   :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
562 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
563    { (exit 1); exit 1; }; };;
564   :[FH]-) ac_tag=-:-;;
565   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
566   esac
567   ac_save_IFS=$IFS
568   IFS=:
569   set x $ac_tag
570   IFS=$ac_save_IFS
571   shift
572   ac_file=$1
573   shift
574
575   case $ac_mode in
576   :L) ac_source=$1;;
577   :[FH])
578     ac_file_inputs=
579     for ac_f
580     do
581       case $ac_f in
582       -) ac_f="$tmp/stdin";;
583       *) # Look for the file first in the build tree, then in the source tree
584          # (if the path is not absolute).  The absolute path cannot be DOS-style,
585          # because $ac_f cannot contain `:'.
586          test -f "$ac_f" ||
587            case $ac_f in
588            [\\/$]*) false;;
589            *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
590            esac ||
591            { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
592 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
593    { (exit 1); exit 1; }; };;
594       esac
595       ac_file_inputs="$ac_file_inputs $ac_f"
596     done
597
598     # Let's still pretend it is `configure' which instantiates (i.e., don't
599     # use $as_me), people would be surprised to read:
600     #    /* config.h.  Generated by config.status.  */
601     configure_input="Generated from "`IFS=:
602           echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
603     if test x"$ac_file" != x-; then
604       configure_input="$ac_file.  $configure_input"
605       { echo "$as_me:$LINENO: creating $ac_file" >&5
606 echo "$as_me: creating $ac_file" >&6;}
607     fi
608
609     case $ac_tag in
610     *:-:* | *:-) cat >"$tmp/stdin";;
611     esac
612     ;;
613   esac
614
615   ac_dir=`$as_dirname -- "$ac_file" ||
616 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
617          X"$ac_file" : 'X\(//\)[^/]' \| \
618          X"$ac_file" : 'X\(//\)$' \| \
619          X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
620 echo X"$ac_file" |
621     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
622             s//\1/
623             q
624           }
625           /^X\(\/\/\)[^/].*/{
626             s//\1/
627             q
628           }
629           /^X\(\/\/\)$/{
630             s//\1/
631             q
632           }
633           /^X\(\/\).*/{
634             s//\1/
635             q
636           }
637           s/.*/./; q'`
638   { as_dir="$ac_dir"
639   case $as_dir in #(
640   -*) as_dir=./$as_dir;;
641   esac
642   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
643     as_dirs=
644     while :; do
645       case $as_dir in #(
646       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
647       *) as_qdir=$as_dir;;
648       esac
649       as_dirs="'$as_qdir' $as_dirs"
650       as_dir=`$as_dirname -- "$as_dir" ||
651 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
652          X"$as_dir" : 'X\(//\)[^/]' \| \
653          X"$as_dir" : 'X\(//\)$' \| \
654          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
655 echo X"$as_dir" |
656     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
657             s//\1/
658             q
659           }
660           /^X\(\/\/\)[^/].*/{
661             s//\1/
662             q
663           }
664           /^X\(\/\/\)$/{
665             s//\1/
666             q
667           }
668           /^X\(\/\).*/{
669             s//\1/
670             q
671           }
672           s/.*/./; q'`
673       test -d "$as_dir" && break
674     done
675     test -z "$as_dirs" || eval "mkdir $as_dirs"
676   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
677 echo "$as_me: error: cannot create directory $as_dir" >&2;}
678    { (exit 1); exit 1; }; }; }
679   ac_builddir=.
680
681 case "$ac_dir" in
682 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
683 *)
684   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
685   # A ".." for each directory in $ac_dir_suffix.
686   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
687   case $ac_top_builddir_sub in
688   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
689   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
690   esac ;;
691 esac
692 ac_abs_top_builddir=$ac_pwd
693 ac_abs_builddir=$ac_pwd$ac_dir_suffix
694 # for backward compatibility:
695 ac_top_builddir=$ac_top_build_prefix
696
697 case $srcdir in
698   .)  # We are building in place.
699     ac_srcdir=.
700     ac_top_srcdir=$ac_top_builddir_sub
701     ac_abs_top_srcdir=$ac_pwd ;;
702   [\\/]* | ?:[\\/]* )  # Absolute name.
703     ac_srcdir=$srcdir$ac_dir_suffix;
704     ac_top_srcdir=$srcdir
705     ac_abs_top_srcdir=$srcdir ;;
706   *) # Relative name.
707     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
708     ac_top_srcdir=$ac_top_build_prefix$srcdir
709     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
710 esac
711 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
712
713
714   case $ac_mode in
715   :F)
716   #
717   # CONFIG_FILE
718   #
719
720   case $INSTALL in
721   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
722   *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
723   esac
724 # If the template does not know about datarootdir, expand it.
725 # FIXME: This hack should be removed a few years after 2.60.
726 ac_datarootdir_hack=; ac_datarootdir_seen=
727
728 case `sed -n '/datarootdir/ {
729   p
730   q
731 }
732 /@datadir@/p
733 /@docdir@/p
734 /@infodir@/p
735 /@localedir@/p
736 /@mandir@/p
737 ' $ac_file_inputs` in
738 *datarootdir*) ac_datarootdir_seen=yes;;
739 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
740   { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
741 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
742   ac_datarootdir_hack='
743   s&@datadir@&${datarootdir}&g
744   s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
745   s&@infodir@&${datarootdir}/info&g
746   s&@localedir@&${datarootdir}/locale&g
747   s&@mandir@&${datarootdir}/man&g
748     s&\${datarootdir}&${prefix}/share&g' ;;
749 esac
750   sed "/^[       ]*VPATH[        ]*=/{
751 s/:*\$(srcdir):*/:/
752 s/:*\${srcdir}:*/:/
753 s/:*@srcdir@:*/:/
754 s/^\([^=]*=[     ]*\):*/\1/
755 s/:*$//
756 s/^[^=]*=[       ]*$//
757 }
758
759 :t
760 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
761 s&@configure_input@&$configure_input&;t t
762 s&@top_builddir@&$ac_top_builddir_sub&;t t
763 s&@srcdir@&$ac_srcdir&;t t
764 s&@abs_srcdir@&$ac_abs_srcdir&;t t
765 s&@top_srcdir@&$ac_top_srcdir&;t t
766 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
767 s&@builddir@&$ac_builddir&;t t
768 s&@abs_builddir@&$ac_abs_builddir&;t t
769 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
770 s&@INSTALL@&$ac_INSTALL&;t t
771 $ac_datarootdir_hack
772 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
773
774 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
775   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
776   { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
777   { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
778 which seems to be undefined.  Please make sure it is defined." >&5
779 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
780 which seems to be undefined.  Please make sure it is defined." >&2;}
781
782   rm -f "$tmp/stdin"
783   case $ac_file in
784   -) cat "$tmp/out"; rm -f "$tmp/out";;
785   *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
786   esac
787  ;;
788   :H)
789   #
790   # CONFIG_HEADER
791   #
792     # First, check the format of the line:
793     cat >"$tmp/defines.sed" <<\CEOF
794 /^[      ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
795 /^[      ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
796 b
797 :def
798 s/$/ /
799 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_NAME\)[       (].*,\1define\2 "" ,
800 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_TARNAME\)[    (].*,\1define\2 "" ,
801 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION\)[    (].*,\1define\2 "" ,
802 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_STRING\)[     (].*,\1define\2 "" ,
803 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_BUGREPORT\)[  (].*,\1define\2 "" ,
804 s,^\([   #]*\)[^         ]*\([   ]*_GNU_SOURCE\)[        (].*,\1define\2 1 ,
805 s,^\([   #]*\)[^         ]*\([   ]*STDC_HEADERS\)[       (].*,\1define\2 1 ,
806 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TYPES_H\)[   (].*,\1define\2 1 ,
807 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_STAT_H\)[    (].*,\1define\2 1 ,
808 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
809 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
810 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMORY_H\)[      (].*,\1define\2 1 ,
811 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
812 s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
813 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
814 s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
815 s,^\([   #]*\)[^         ]*\([   ]*__EXTENSIONS__\)[     (].*,\1define\2 1 ,
816 s,^\([   #]*\)[^         ]*\([   ]*_POSIX_PTHREAD_SEMANTICS\)[   (].*,\1define\2 1 ,
817 s,^\([   #]*\)[^         ]*\([   ]*_XOPEN_SOURCE_EXTENDED\)[     (].*,\1define\2 1 ,
818 s,^\([   #]*\)[^         ]*\([   ]*_OSF_SOURCE\)[        (].*,\1define\2 1 ,
819 s,^\([   #]*\)[^         ]*\([   ]*_FILE_OFFSET_BITS\)[  (].*,\1define\2 64 ,
820 s,^\([   #]*\)[^         ]*\([   ]*HAVE_LONG_LONG\)[     (].*,\1define\2 1 ,
821 s,^\([   #]*\)[^         ]*\([   ]*uint_t\)[     (].*,\1define\2 unsigned int ,
822 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_INT\)[         (].*,\1define\2 4 ,
823 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_CHAR\)[        (].*,\1define\2 1 ,
824 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_SHORT\)[       (].*,\1define\2 2 ,
825 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_LONG\)[        (].*,\1define\2 4 ,
826 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_LONG_LONG\)[   (].*,\1define\2 8 ,
827 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_OFF_T\)[       (].*,\1define\2 8 ,
828 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_SIZE_T\)[      (].*,\1define\2 4 ,
829 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_SSIZE_T\)[     (].*,\1define\2 4 ,
830 s,^\([   #]*\)[^         ]*\([   ]*HAVE_IMMEDIATE_STRUCTURES\)[  (].*,\1define\2 1 ,
831 s,^\([   #]*\)[^         ]*\([   ]*RETSIGTYPE\)[         (].*,\1define\2 void ,
832 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRUCT_STAT_ST_RDEV\)[   (].*,\1define\2 1 ,
833 s,^\([   #]*\)[^         ]*\([   ]*HAVE_ST_RDEV\)[       (].*,\1define\2 1 ,
834 s,^\([   #]*\)[^         ]*\([   ]*offset_t\)[   (].*,\1define\2 loff_t ,
835 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PIPE\)[  (].*,\1define\2 1 ,
836 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRFTIME\)[      (].*,\1define\2 1 ,
837 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SRANDOM\)[       (].*,\1define\2 1 ,
838 s,^\([   #]*\)[^         ]*\([   ]*HAVE_RANDOM\)[        (].*,\1define\2 1 ,
839 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SRAND\)[         (].*,\1define\2 1 ,
840 s,^\([   #]*\)[^         ]*\([   ]*HAVE_RAND\)[  (].*,\1define\2 1 ,
841 s,^\([   #]*\)[^         ]*\([   ]*HAVE_USLEEP\)[        (].*,\1define\2 1 ,
842 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETBUFFER\)[     (].*,\1define\2 1 ,
843 s,^\([   #]*\)[^         ]*\([   ]*HAVE_LSTAT\)[         (].*,\1define\2 1 ,
844 s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETPGRP\)[       (].*,\1define\2 1 ,
845 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDBOOL_H\)[     (].*,\1define\2 1 ,
846 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_SELECT_H\)[  (].*,\1define\2 1 ,
847 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_EPOLL_H\)[   (].*,\1define\2 1 ,
848 CEOF
849     sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
850     # First, check the format of the line:
851     cat >"$tmp/defines.sed" <<\CEOF
852 /^[      ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
853 /^[      ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
854 b
855 :def
856 s,^\([   #]*\)[^         ]*\([   ]*HAVE_EPOLL_CREATE\)[  (].*,\1define\2 1 ,
857 s,^\([   #]*\)[^         ]*\([   ]*HAVE_BOOL\)[  (].*,\1define\2 1 ,
858 s,^\([   #]*\)[^         ]*\([   ]*HAVE__Bool\)[         (].*,\1define\2 1 ,
859 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MMAP\)[  (].*,\1define\2 1 ,
860 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_SYSLOG_H\)[  (].*,\1define\2 1 ,
861 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYSLOG_H\)[      (].*,\1define\2 1 ,
862 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TIME_H\)[    (].*,\1define\2 1 ,
863 s,^\([   #]*\)[^         ]*\([   ]*HAVE_TIME_H\)[        (].*,\1define\2 1 ,
864 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDARG_H\)[      (].*,\1define\2 1 ,
865 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_SOCKET_H\)[  (].*,\1define\2 1 ,
866 s,^\([   #]*\)[^         ]*\([   ]*HAVE_NETINET_IN_H\)[  (].*,\1define\2 1 ,
867 s,^\([   #]*\)[^         ]*\([   ]*HAVE_NETDB_H\)[       (].*,\1define\2 1 ,
868 s,^\([   #]*\)[^         ]*\([   ]*HAVE_ARPA_INET_H\)[   (].*,\1define\2 1 ,
869 s,^\([   #]*\)[^         ]*\([   ]*HAVE_NETINET_IP_H\)[  (].*,\1define\2 1 ,
870 s,^\([   #]*\)[^         ]*\([   ]*HAVE_NETINET_TCP_H\)[         (].*,\1define\2 1 ,
871 s,^\([   #]*\)[^         ]*\([   ]*HAVE_NETINET_IN_SYSTM_H\)[    (].*,\1define\2 1 ,
872 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_UN_H\)[      (].*,\1define\2 1 ,
873 s,^\([   #]*\)[^         ]*\([   ]*HAVE_NET_IF_H\)[      (].*,\1define\2 1 ,
874 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETEUID\)[       (].*,\1define\2 1 ,
875 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETRESUID\)[     (].*,\1define\2 1 ,
876 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETEGID\)[       (].*,\1define\2 1 ,
877 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETRESGID\)[     (].*,\1define\2 1 ,
878 s,^\([   #]*\)[^         ]*\([   ]*HAVE_CHROOT\)[        (].*,\1define\2 1 ,
879 s,^\([   #]*\)[^         ]*\([   ]*HAVE_BZERO\)[         (].*,\1define\2 1 ,
880 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRERROR\)[      (].*,\1define\2 1 ,
881 s,^\([   #]*\)[^         ]*\([   ]*HAVE_VSYSLOG\)[       (].*,\1define\2 1 ,
882 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETLINEBUF\)[    (].*,\1define\2 1 ,
883 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MKTIME\)[        (].*,\1define\2 1 ,
884 s,^\([   #]*\)[^         ]*\([   ]*HAVE_FTRUNCATE\)[     (].*,\1define\2 1 ,
885 s,^\([   #]*\)[^         ]*\([   ]*HAVE_RENAME\)[        (].*,\1define\2 1 ,
886 s,^\([   #]*\)[^         ]*\([   ]*HAVE_WAITPID\)[       (].*,\1define\2 1 ,
887 s,^\([   #]*\)[^         ]*\([   ]*HAVE_INNETGR\)[       (].*,\1define\2 1 ,
888 s,^\([   #]*\)[^         ]*\([   ]*HAVE_INITGROUPS\)[    (].*,\1define\2 1 ,
889 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMMOVE\)[       (].*,\1define\2 1 ,
890 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRDUP\)[        (].*,\1define\2 1 ,
891 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PREAD\)[         (].*,\1define\2 1 ,
892 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PWRITE\)[        (].*,\1define\2 1 ,
893 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRNDUP\)[       (].*,\1define\2 1 ,
894 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRCASESTR\)[    (].*,\1define\2 1 ,
895 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOK_R\)[      (].*,\1define\2 1 ,
896 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MKDTEMP\)[       (].*,\1define\2 1 ,
897 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SOCKETPAIR\)[    (].*,\1define\2 1 ,
898 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETRESUID_DECL\)[        (].*,\1define\2 1 ,
899 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETRESGID_DECL\)[        (].*,\1define\2 1 ,
900 s,^\([   #]*\)[^         ]*\([   ]*HAVE_ERRNO_DECL\)[    (].*,\1define\2 1 ,
901 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SECURE_MKSTEMP\)[        (].*,\1define\2 1 ,
902 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDIO_H\)[       (].*,\1define\2 1 ,
903 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
904 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_SNPRINTF\)[         (].*,\1define\2 1 ,
905 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_VSNPRINTF\)[        (].*,\1define\2 1 ,
906 CEOF
907     sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
908     # First, check the format of the line:
909     cat >"$tmp/defines.sed" <<\CEOF
910 /^[      ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
911 /^[      ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
912 b
913 :def
914 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_ASPRINTF\)[         (].*,\1define\2 1 ,
915 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DECL_VASPRINTF\)[        (].*,\1define\2 1 ,
916 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SNPRINTF\)[      (].*,\1define\2 1 ,
917 s,^\([   #]*\)[^         ]*\([   ]*HAVE_VSNPRINTF\)[     (].*,\1define\2 1 ,
918 s,^\([   #]*\)[^         ]*\([   ]*HAVE_ASPRINTF\)[      (].*,\1define\2 1 ,
919 s,^\([   #]*\)[^         ]*\([   ]*HAVE_VASPRINTF\)[     (].*,\1define\2 1 ,
920 s,^\([   #]*\)[^         ]*\([   ]*HAVE_C99_VSNPRINTF\)[         (].*,\1define\2 1 ,
921 s,^\([   #]*\)[^         ]*\([   ]*HAVE_VA_COPY\)[       (].*,\1define\2 1 ,
922 s,^\([   #]*\)[^         ]*\([   ]*HAVE_FUNCTION_MACRO\)[        (].*,\1define\2 1 ,
923 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_PARAM_H\)[   (].*,\1define\2 1 ,
924 s,^\([   #]*\)[^         ]*\([   ]*HAVE_LIMITS_H\)[      (].*,\1define\2 1 ,
925 s,^\([   #]*\)[^         ]*\([   ]*HAVE_COMPARISON_FN_T\)[       (].*,\1define\2 1 ,
926 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRNLEN\)[       (].*,\1define\2 1 ,
927 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETENV\)[        (].*,\1define\2 1 ,
928 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOULL\)[      (].*,\1define\2 1 ,
929 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOUQ\)[       (].*,\1define\2 1 ,
930 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOLL\)[       (].*,\1define\2 1 ,
931 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRTOQ\)[        (].*,\1define\2 1 ,
932 s,^\([   #]*\)[^         ]*\([   ]*HAVE__VA_ARGS__MACRO\)[       (].*,\1define\2 1 ,
933 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMSET\)[        (].*,\1define\2 1 ,
934 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PRINTF\)[        (].*,\1define\2 1 ,
935 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYSLOG\)[        (].*,\1define\2 1 ,
936 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SIG_ATOMIC_T_TYPE\)[     (].*,\1define\2 1 ,
937 s,^\([   #]*\)[^         ]*\([   ]*HAVE_VOLATILE\)[      (].*,\1define\2 1 ,
938 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DIRENT_H\)[      (].*,\1define\2 1 ,
939 s,^\([   #]*\)[^         ]*\([   ]*HAVE_FCNTL_H\)[       (].*,\1define\2 1 ,
940 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_FCNTL_H\)[   (].*,\1define\2 1 ,
941 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_ACL_H\)[     (].*,\1define\2 1 ,
942 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_RESOURCE_H\)[        (].*,\1define\2 1 ,
943 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_IOCTL_H\)[   (].*,\1define\2 1 ,
944 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_SELECT_H\)[  (].*,\1define\2 1 ,
945 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TIME_H\)[    (].*,\1define\2 1 ,
946 s,^\([   #]*\)[^         ]*\([   ]*HAVE_UTIME_H\)[       (].*,\1define\2 1 ,
947 s,^\([   #]*\)[^         ]*\([   ]*TIME_WITH_SYS_TIME\)[         (].*,\1define\2 1 ,
948 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_WAIT_H\)[    (].*,\1define\2 1 ,
949 s,^\([   #]*\)[^         ]*\([   ]*HAVE_GRP_H\)[         (].*,\1define\2 1 ,
950 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SHADOW_H\)[      (].*,\1define\2 1 ,
951 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PWD_H\)[         (].*,\1define\2 1 ,
952 s,^\([   #]*\)[^         ]*\([   ]*HAVE_CTYPE_H\)[       (].*,\1define\2 1 ,
953 s,^\([   #]*\)[^         ]*\([   ]*HAVE_LOCALE_H\)[      (].*,\1define\2 1 ,
954 s,^\([   #]*\)[^         ]*\([   ]*HAVE_FNMATCH_H\)[     (].*,\1define\2 1 ,
955 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_IPC_H\)[     (].*,\1define\2 1 ,
956 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_MMAN_H\)[    (].*,\1define\2 1 ,
957 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_SHM_H\)[     (].*,\1define\2 1 ,
958 s,^\([   #]*\)[^         ]*\([   ]*HAVE_TERMIOS_H\)[     (].*,\1define\2 1 ,
959 s,^\([   #]*\)[^         ]*\([   ]*HAVE_TERMIO_H\)[      (].*,\1define\2 1 ,
960 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLFCN_H\)[       (].*,\1define\2 1 ,
961 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLOPEN\)[        (].*,\1define\2 1 ,
962 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLSYM\)[         (].*,\1define\2 1 ,
963 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLERROR\)[       (].*,\1define\2 1 ,
964 CEOF
965     sed -f "$tmp/defines.sed" "$tmp/out2" >"$tmp/out1"
966     # First, check the format of the line:
967     cat >"$tmp/defines.sed" <<\CEOF
968 /^[      ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
969 /^[      ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
970 b
971 :def
972 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLCLOSE\)[       (].*,\1define\2 1 ,
973 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MKDIR_MODE\)[    (].*,\1define\2 1 ,
974 s,^\([   #]*\)[^         ]*\([   ]*HAVE_TIMEGM\)[        (].*,\1define\2 1 ,
975 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYSLOG\)[        (].*,\1define\2 1 ,
976 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMSET\)[        (].*,\1define\2 1 ,
977 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SETNETGRENT\)[   (].*,\1define\2 1 ,
978 s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETNETGRENT\)[   (].*,\1define\2 1 ,
979 s,^\([   #]*\)[^         ]*\([   ]*HAVE_ENDNETGRENT\)[   (].*,\1define\2 1 ,
980 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMCPY\)[        (].*,\1define\2 1 ,
981 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_SIZE_T\)[      (].*,\1define\2 4 ,
982 s,^\([   #]*\)[^         ]*\([   ]*SIZEOF_VOID_P\)[      (].*,\1define\2 4 ,
983 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MMAP\)[  (].*,\1define\2 1 ,
984 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PREAD\)[         (].*,\1define\2 1 ,
985 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PWRITE\)[        (].*,\1define\2 1 ,
986 s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETPAGESIZE\)[   (].*,\1define\2 1 ,
987 s,^\([   #]*\)[^         ]*\([   ]*HAVE_UTIME\)[         (].*,\1define\2 1 ,
988 s,^\([   #]*\)[^         ]*\([   ]*HAVE_GETOPT_H\)[      (].*,\1define\2 1 ,
989 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_SELECT_H\)[  (].*,\1define\2 1 ,
990 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TIME_H\)[    (].*,\1define\2 1 ,
991 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PREAD_DECL\)[    (].*,\1define\2 1 ,
992 s,^\([   #]*\)[^         ]*\([   ]*HAVE_PWRITE_DECL\)[   (].*,\1define\2 1 ,
993 s/ $//
994 s,^[     #]*u.*,/* & */,
995 CEOF
996     sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
997 ac_result="$tmp/out2"
998   if test x"$ac_file" != x-; then
999     echo "/* $configure_input  */" >"$tmp/config.h"
1000     cat "$ac_result" >>"$tmp/config.h"
1001     if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
1002       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1003 echo "$as_me: $ac_file is unchanged" >&6;}
1004     else
1005       rm -f $ac_file
1006       mv "$tmp/config.h" $ac_file
1007     fi
1008   else
1009     echo "/* $configure_input  */"
1010     cat "$ac_result"
1011   fi
1012   rm -f "$tmp/out12"
1013  ;;
1014
1015
1016   esac
1017
1018 done # for ac_tag
1019
1020
1021 { (exit 0); exit 0; }